尝试搜索此内容,但没有找到任何可以帮助我的内容,因此我在这里...

我喜欢Eclipse在云上的概念,并开始尝试使用第一个基本的hello world示例。 我使用给定的console-java-simple项目使用java-maven堆栈创建了第一个工作区。 我能够运行该应用程序,对其进行调试,然后执行其他操作……接下来,我在pom.xml中添加了一个简单的maven依赖项,例如apache-commons-math3。

<dependency>     <groupId>org.apache.commons</groupId>     <artifactId>commons-math3</artifactId>     <version>3.6</version> </dependency> 

并开始了Maven的构建,在这里一切都很好...能够看到导入到m2 repo的jar。 当我尝试导入某些内容时,编辑器似乎无法识别依赖性。 它抱怨以下

The import org.apache cannot be resolvedJava(268435846) 

我在编辑器中忽略了此错误,并启动了Maven构建,但是Java编译器存在相同的问题,并且构建失败。

所以我是否错过了如此明显的东西,其他人都可以发现:-)

旁注:通过遵循相同的确切步骤,我能够在java-springboot-msql workapce中导入相同的依赖关系而没有任何问题。

===============>>#1 票数:0

如果存在build.gradle文件,则将Grandle用作构建自动化系统。

  ask by Dwaraka translate from so

本文未有回复,本站智能推荐: